OCamllabs icon Home|Differences with the last checks|Previous runs


Building on x86-bm-7.ocamllabs.io

(from ocaml/opam:debian-unstable@sha256:3794ee62a7fce85a684ef8d17a97b2f35a24f0d7e270c1c064f789e115ce2680)
Unable to find image 'ocaml/opam:debian-unstable@sha256:3794ee62a7fce85a684ef8d17a97b2f35a24f0d7e270c1c064f789e115ce2680' locally
docker.io/ocaml/opam@sha256:3794ee62a7fce85a684ef8d17a97b2f35a24f0d7e270c1c064f789e115ce2680: Pulling from ocaml/opam
f5e1f8c89883: Already exists
2c958ca589db: Pulling fs layer
c8ed9a5d2d5a: Pulling fs layer
c8ed9a5d2d5a: Verifying Checksum
c8ed9a5d2d5a: Download complete
2c958ca589db: Verifying Checksum
2c958ca589db: Download complete
2c958ca589db: Pull complete
c8ed9a5d2d5a: Pull complete
Digest: sha256:3794ee62a7fce85a684ef8d17a97b2f35a24f0d7e270c1c064f789e115ce2680
Status: Downloaded newer image for ocaml/opam@sha256:3794ee62a7fce85a684ef8d17a97b2f35a24f0d7e270c1c064f789e115ce2680
2022-06-21 00:31.32 ---> using "bc6ddede489eb9279cf9755493c550ebcf9992e17ae0035d89337b3a0266ee1d" from cache

/: (user (uid 1000) (gid 1000))

/: (env OPAMPRECISETRACKING 1)

/: (env OPAMUTF8 never)

/: (env OPAMEXTERNALSOLVER builtin-0install)

/: (env OPAMCRITERIA +removed)

/: (run (shell "sudo ln -f /usr/bin/opam-dev /usr/bin/opam"))
2022-06-21 00:31.32 ---> using "2193bfc3c6e974e1eed1a3239ffa54bf12d29cbc1f806facc7ae48af2584e8ce" from cache

/: (run (network host)
        (shell "rm -rf ~/opam-repository && git clone -q 'https://github.com/ocaml/opam-repository' ~/opam-repository && git -C ~/opam-repository checkout -q 0b80c2d48dae2b07798f39c00665a40ead379c1f"))
2022-06-21 00:31.32 ---> using "0872a7876b6114f71f0b61f873dc10a666ae2aba5e7460d1543c68652172324d" from cache

/: (run (shell "rm -rf ~/.opam && opam init -ya --bare --config ~/.opamrc-sandbox ~/opam-repository"))
Configuring from /home/opam/.opamrc-sandbox, then /home/opam/.opamrc, and finally from built-in defaults.
Checking for available remotes: rsync and local, git.
  - you won't be able to use mercurial repositories unless you install the hg command on your system.
  - you won't be able to use darcs repositories unless you install the darcs command on your system.


<><> Fetching repository information ><><><><><><><><><><><><><><><><><><><><><>
[default] Initialised

User configuration:
  ~/.profile is already up-to-date.
[NOTE] Make sure that ~/.profile is well sourced in your ~/.bashrc.

2022-06-21 00:31.32 ---> using "a664420c8d230348a7667a27e590157b3ecd012f463afd05a7f19049d5741277" from cache

/: (run (cache (opam-archives (target /home/opam/.opam/download-cache)))
        (network host)
        (shell "opam switch create --repositories=default '5.0' '5.0.0+trunk'"))

<><> Installing new switch packages <><><><><><><><><><><><><><><><><><><><><><>
Switch invariant: ["ocaml-variants" {= "5.0.0+trunk"}]

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> installed base-bigarray.base
-> installed base-threads.base
-> installed base-unix.base
-> retrieved ocaml-variants.5.0.0+trunk  (https://github.com/ocaml/ocaml/archive/5.0.tar.gz)
-> installed ocaml-variants.5.0.0+trunk
-> installed ocaml-config.3
-> installed ocaml.5.0.0
-> installed base-domains.base
-> installed base-nnp.base
Done.
# Run eval $(opam env --switch=5.0) to update the current shell environment
2022-06-21 00:31.32 ---> using "015774a9f910c58f72f1006c543a6cd93998c29c8953b2a36744e74d2c8ed5d4" from cache

/: (run (network host)
        (shell "opam update --depexts"))
+ /usr/bin/sudo "apt-get" "update"
- Get:1 http://deb.debian.org/debian unstable InRelease [165 kB]
- Get:2 http://deb.debian.org/debian unstable/main amd64 Packages.diff/Index [63.6 kB]
- Get:3 http://deb.debian.org/debian unstable/main amd64 Packages T-2022-06-20-1403.37-F-2022-06-14-2004.21.pdiff [430 kB]
- Get:3 http://deb.debian.org/debian unstable/main amd64 Packages T-2022-06-20-1403.37-F-2022-06-14-2004.21.pdiff [430 kB]
- Fetched 659 kB in 2s (356 kB/s)
- Reading package lists...
2022-06-21 00:31.32 ---> using "a25ff7379f403192d1fef7293f67d9c74d52f7e9becaa9ff899793081dd9fd29" from cache

/: (run (cache (opam-archives (target /home/opam/.opam/download-cache)))
        (network host)
        (shell  "\
               \nopam remove -y \"aifad.2.3.0\"\
               \nopam install -vy \"aifad.2.3.0\"\
               \nres=$?\
               \nif [ $res = 31 ]; then\
               \n    if opam show -f x-ci-accept-failures: \"aifad.2.3.0\" | grep -q '\"debian-unstable\"'; then\
               \n        echo \"This package failed and has been disabled for CI using the 'x-ci-accept-failures' field.\"\
               \n        exit 69\
               \n    fi\
               \nfi\
               \n\
               \n\
               \nexit $res\
               \n"))
[NOTE] aifad.2.3.0 is not installed.

Nothing to do.
The following actions will be performed:
=== install 14 packages
  - install aifad             2.3.0
  - install base-bytes        base     [required by pcre, res]
  - install cfg               2.3.0    [required by aifad]
  - install conf-libpcre      1        [required by pcre]
  - install conf-pkg-config   2        [required by conf-libpcre]
  - install csexp             1.5.1    [required by dune-configurator]
  - install dune              3.3.0    [required by aifad]
  - install dune-configurator 3.3.0    [required by pcre]
  - install menhir            20220210 [required by aifad]
  - install menhirLib         20220210 [required by menhir]
  - install menhirSdk         20220210 [required by menhir]
  - install ocamlfind         1.9.5    [required by base-bytes]
  - install pcre              7.5.0    [required by aifad]
  - install res               5.0.1    [required by aifad]

The following system packages will first need to be installed:
    libpcre3-dev pkg-config

<><> Handling external dependencies <><><><><><><><><><><><><><><><><><><><><><>

opam believes some required external dependencies are missing. opam can:
> 1. Run apt-get to install them (may need root/sudo access)
  2. Display the recommended apt-get command and wait while you run it manually (e.g. in another terminal)
  3. Attempt installation anyway, and permanently register that this external dependency is present, but not detectable
  4. Abort the installation

[1/2/3/4] 1
+ /usr/bin/sudo "apt-get" "install" "-qq" "-yy" "libpcre3-dev" "pkg-config"
- debconf: delaying package configuration, since apt-utils is not installed
- Selecting previously unselected package libglib2.0-0:amd64.
- (Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 18686 files and directories currently installed.)
- Preparing to unpack .../00-libglib2.0-0_2.72.2-2_amd64.deb ...
- Unpacking libglib2.0-0:amd64 (2.72.2-2) ...
- Selecting previously unselected package libglib2.0-data.
- Preparing to unpack .../01-libglib2.0-data_2.72.2-2_all.deb ...
- Unpacking libglib2.0-data (2.72.2-2) ...
- Selecting previously unselected package libicu71:amd64.
- Preparing to unpack .../02-libicu71_71.1-3_amd64.deb ...
- Unpacking libicu71:amd64 (71.1-3) ...
- Selecting previously unselected package libpcre16-3:amd64.
- Preparing to unpack .../03-libpcre16-3_2%3a8.39-14_amd64.deb ...
- Unpacking libpcre16-3:amd64 (2:8.39-14) ...
- Selecting previously unselected package libpcre32-3:amd64.
- Preparing to unpack .../04-libpcre32-3_2%3a8.39-14_amd64.deb ...
- Unpacking libpcre32-3:amd64 (2:8.39-14) ...
- Selecting previously unselected package libpcrecpp0v5:amd64.
- Preparing to unpack .../05-libpcrecpp0v5_2%3a8.39-14_amd64.deb ...
- Unpacking libpcrecpp0v5:amd64 (2:8.39-14) ...
- Selecting previously unselected package libpcre3-dev:amd64.
- Preparing to unpack .../06-libpcre3-dev_2%3a8.39-14_amd64.deb ...
- Unpacking libpcre3-dev:amd64 (2:8.39-14) ...
- Selecting previously unselected package libxml2:amd64.
- Preparing to unpack .../07-libxml2_2.9.14+dfsg-1_amd64.deb ...
- Unpacking libxml2:amd64 (2.9.14+dfsg-1) ...
- Selecting previously unselected package pkg-config.
- Preparing to unpack .../08-pkg-config_0.29.2-1_amd64.deb ...
- Unpacking pkg-config (0.29.2-1) ...
- Selecting previously unselected package shared-mime-info.
- Preparing to unpack .../09-shared-mime-info_2.2-1_amd64.deb ...
- Unpacking shared-mime-info (2.2-1) ...
- Selecting previously unselected package xdg-user-dirs.
- Preparing to unpack .../10-xdg-user-dirs_0.17-2_amd64.deb ...
- Unpacking xdg-user-dirs (0.17-2) ...
- Setting up libpcrecpp0v5:amd64 (2:8.39-14) ...
- Setting up libicu71:amd64 (71.1-3) ...
- Setting up libpcre16-3:amd64 (2:8.39-14) ...
- Setting up xdg-user-dirs (0.17-2) ...
- Setting up libglib2.0-0:amd64 (2.72.2-2) ...
- No schema files found: doing nothing.
- Setting up libglib2.0-data (2.72.2-2) ...
- Setting up libpcre32-3:amd64 (2:8.39-14) ...
- Setting up pkg-config (0.29.2-1) ...
- Setting up libxml2:amd64 (2.9.14+dfsg-1) ...
- Setting up libpcre3-dev:amd64 (2:8.39-14) ...
- Setting up shared-mime-info (2.2-1) ...
- Processing triggers for libc-bin (2.33-7) ...

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
Processing  1/39:
Processing  2/39:
Processing  3/39:
Processing  4/39:
Processing  5/39:
Processing  6/39:
Processing  7/39: [conf-pkg-config: pkg-config]
-> retrieved aifad.2.3.0  (cached)
Processing  8/39: [conf-pkg-config: pkg-config]
-> retrieved cfg.2.3.0  (cached)
Processing  9/39: [conf-pkg-config: pkg-config]
-> retrieved csexp.1.5.1  (cached)
Processing 10/39: [conf-pkg-config: pkg-config]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "pkg-config" "--help" (CWD=/home/opam/.opam/5.0/.opam-switch/build/conf-pkg-config.2)
- Usage:
-   pkg-config [OPTION?]
- 
- Help Options:
-   -h, --help                              Show help options
- 
- Application Options:
-   --version                               output version of pkg-config
-   --modversion                            output version for package
-   --atleast-pkgconfig-version=VERSION     require given version of pkg-config
-   --libs                                  output all linker flags
-   --static                                output linker flags for static linking
-   --short-errors                          print short errors
-   --libs-only-l                           output -l flags
-   --libs-only-other                       output other libs (e.g. -pthread)
-   --libs-only-L                           output -L flags
-   --cflags                                output all pre-processor and compiler flags
-   --cflags-only-I                         output -I flags
-   --cflags-only-other                     output cflags not covered by the cflags-only-I option
-   --variable=NAME                         get the value of variable named NAME
-   --define-variable=NAME=VALUE            set variable NAME to VALUE
-   --exists                                return 0 if the module(s) exist
-   --print-variables                       output list of variables defined by the module
-   --uninstalled                           return 0 if the uninstalled version of one or more module(s) or their dependencies will be used
-   --atleast-version=VERSION               return 0 if the module is at least version VERSION
-   --exact-version=VERSION                 return 0 if the module is at exactly version VERSION
-   --max-version=VERSION                   return 0 if the module is at no newer than version VERSION
-   --list-all                              list all known packages
-   --debug                                 show verbose debug information
-   --print-errors                          show verbose information about missing or conflicting packages (default unless --exists or --atleast/exact/max-version given on the command line)
-   --silence-errors                        be silent about errors (default when --exists or --atleast/exact/max-version given on the command line)
-   --errors-to-stdout                      print errors from --print-errors to stdout not stderr
-   --print-provides                        print which packages the package provides
-   --print-requires                        print which packages the package requires
-   --print-requires-private                print which packages the package requires for static linking
-   --validate                              validate a package's .pc file
-   --define-prefix                         try to override the value of prefix for each .pc file found with a guesstimated value based on the location of the .pc file
-   --dont-define-prefix                    don't try to override the value of prefix for each .pc file found with a guesstimated value based on the location of the .pc file
-   --prefix-variable=PREFIX                set the name of the variable that pkg-config automatically sets
- 
-> compiled  conf-pkg-config.2
Processing 10/39:
Processing 11/39: [conf-pkg-config: mkdir]
-> retrieved dune.3.3.0, dune-configurator.3.3.0  (cached)
Processing 12/39: [conf-pkg-config: mkdir]
Processing 13/39: [dune: ocaml bootstrap.ml] [conf-pkg-config: mkdir]
-> retrieved menhir.20220210, menhirLib.20220210, menhirSdk.20220210  (cached)
Processing 14/39: [dune: ocaml bootstrap.ml] [conf-pkg-config: mkdir]
-> retrieved ocamlfind.1.9.5  (cached)
Processing 15/39: [dune: ocaml bootstrap.ml] [ocamlfind: ./configure] [conf-pkg-config: mkdir]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "install" "mkdir" "-p" "/home/opam/.opam/5.0/lib/pkgconfig" (CWD=/home/opam/.opam/5.0/.opam-switch/build/conf-pkg-config.2)
-> installed conf-pkg-config.2
Processing 15/39: [dune: ocaml bootstrap.ml] [ocamlfind: ./configure]
Processing 16/39: [conf-libpcre: pkg-config libpcre] [dune: ocaml bootstrap.ml] [ocamlfind: ./configure]
-> retrieved pcre.7.5.0  (cached)
-> retrieved res.5.0.1  (cached)
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "pkg-config" "libpcre" (CWD=/home/opam/.opam/5.0/.opam-switch/build/conf-libpcre.1)
-> compiled  conf-libpcre.1
Processing 16/39: [dune: ocaml bootstrap.ml] [ocamlfind: ./configure]
-> installed conf-libpcre.1
Processing 17/39: [dune: ocaml bootstrap.ml] [ocamlfind: ./configure]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "./configure" "-bindir" "/home/opam/.opam/5.0/bin" "-sitelib" "/home/opam/.opam/5.0/lib" "-mandir" "/home/opam/.opam/5.0/man" "-config" "/home/opam/.opam/5.0/lib/findlib.conf" "-no-custom" "-no-camlp4" (CWD=/home/opam/.opam/5.0/.opam-switch/build/ocamlfind.1.9.5)
- Welcome to findlib version 1.9.5
- Configuring core...
- Checking for #remove_directory...
- Testing threading model...
- systhread_supported: true
- Testing DLLs...
- Testing whether ppxopt can be supported...
- Checking for ocamlc -opaque...
- Querying installation: META list not found
- make install will double-check installed META files
- Configuring libraries...
- unix: found (in +unix)
- dynlink: found (in +dynlink)
- bigarray: not present (possible since 4.08)
- compiler-libs: found
- dbm: not present (normal since 4.00)
- graphics: not present (normal since 4.09)
- num: not present (normal since 4.06)
- ocamlbuild: not present (normal since 4.03)
- ocamldoc: found (in +ocamldoc)
- raw_spacetime: not present (normal since 4.12)
- threads: found (in +threads)
- runtime_events: found (in +runtime_events)
- str: found (in +str)
- labltk: not present (normal since 4.02)
- native dynlink: found
- camlp4: disabled
- bytes: found, installing fake library
- Configuration for stdlib written to site-lib-src/stdlib/META
- Configuration for unix written to site-lib-src/unix/META
- Configuration for dynlink written to site-lib-src/dynlink/META
- Configuration for compiler-libs written to site-lib-src/compiler-libs/META
- Configuration for ocamldoc written to site-lib-src/ocamldoc/META
- Configuration for threads written to site-lib-src/threads/META
- Configuration for runtime_events written to site-lib-src/runtime_events/META
- Configuration for str written to site-lib-src/str/META
- Configuration for bytes written to site-lib-src/bytes/META
- Detecting compiler arguments: (extractor built) ok
- 
- About the OCAML core installation:
-     Standard library:      /home/opam/.opam/5.0/lib/ocaml
-     Binaries:              /home/opam/.opam/5.0/bin
-     Manual pages:          /home/opam/.opam/5.0/man
-     Multi-threading type:  posix
- The directory of site-specific packages will be
-     site-lib:              /home/opam/.opam/5.0/lib
- The configuration file is written to:
-     findlib config file:   /home/opam/.opam/5.0/lib/findlib.conf
- Software will be installed:
-     Libraries:             in <site-lib>/findlib
-     Binaries:              /home/opam/.opam/5.0/bin
-     Manual pages:          /home/opam/.opam/5.0/man
-     topfind script:        /home/opam/.opam/5.0/lib/ocaml
- Topfind ppxopt support:    yes
- Toolbox:                   no
- Link custom runtime:       no
- Need bytes compatibility:  no
- 
- Configuration has been written to Makefile.config
- 
- You can now do 'make all', and optionally 'make opt', to build ocamlfind.
Processing 17/39: [dune: ocaml bootstrap.ml] [ocamlfind: make all]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "make" "all" (CWD=/home/opam/.opam/5.0/.opam-switch/build/ocamlfind.1.9.5)
- for p in findlib; do ( cd src/$p; make all ) || exit; done
- make[1]: Entering directory '/home/opam/.opam/5.0/.opam-switch/build/ocamlfind.1.9.5/src/findlib'
- ocamllex fl_meta.mll
- 22 states, 392 transitions, table size 1700 bytes
- USE_CYGPATH="0"; \
- export USE_CYGPATH; \
- cat findlib_config.mlp | \
-          ../../tools/patch '@CONFIGFILE@' '/home/opam/.opam/5.0/lib/findlib.conf' | \
-          ../../tools/patch '@STDLIB@' '/home/opam/.opam/5.0/lib/ocaml' | \
- 	sed -e 's;@AUTOLINK@;true;g' \
- 	    -e 's;@SYSTEM@;linux;g' \
- 	     >findlib_config.ml
- if [ "true" = "true" ]; then                 \
- 	cp topfind.ml.in topfind.ml;                             \
- else                                                             \
- 	sed -e '/PPXOPT_BEGIN/,/PPXOPT_END/ d' topfind.ml.in     \
- 		> topfind.ml ;                                   \
- fi
- ocamldep *.ml *.mli >depend
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c findlib_config.ml
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c fl_split.ml
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c fl_metatoken.ml
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c fl_meta.ml
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -c fl_metascanner.mli
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c fl_metascanner.ml
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -c fl_topo.mli
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c fl_topo.ml
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -c fl_package_base.mli
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c fl_package_base.ml
- File "fl_package_base.ml", line 304, characters 22-40:
- 304 | 	 let pkg_ancestors = query_requirements predlist pkg in
-       	                     ^^^^^^^^^^^^^^^^^^
- Warning 6 [labels-omitted]: label preds was omitted in the application of this function.
- File "fl_package_base.ml", line 350, characters 18-36:
- 350 |   let ancestors = query_requirements predlist package_name in
-                         ^^^^^^^^^^^^^^^^^^
- Warning 6 [labels-omitted]: label preds was omitted in the application of this function.
- File "fl_package_base.ml", line 375, characters 23-41:
- 375 | 	  let pkg_ancestors = query_requirements predlist pkg in
-       	                      ^^^^^^^^^^^^^^^^^^
- Warning 6 [labels-omitted]: label preds was omitted in the application of this function.
- File "fl_package_base.ml", line 510, characters 16-35:
- 510 | 	     ( let c = package_definitions search_path pkg.package_name in
-       	               ^^^^^^^^^^^^^^^^^^^
- Warning 6 [labels-omitted]: label search_path was omitted in the application of this function.
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -c findlib.mli
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c findlib.ml
- File "findlib.ml", line 390, characters 2-26:
- 390 |   Fl_package_base.requires predlist pkg
-         ^^^^^^^^^^^^^^^^^^^^^^^^
- Warning 6 [labels-omitted]: label preds was omitted in the application of this function.
- File "findlib.ml", line 396, characters 2-33:
- 396 |   Fl_package_base.requires_deeply predlist pkglist
-         ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
- Warning 6 [labels-omitted]: label preds was omitted in the application of this function.
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c fl_args.ml
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c fl_lint.ml
- ocamlc -I +compiler-libs -a -o findlib.cma findlib_config.cmo fl_split.cmo fl_metatoken.cmo fl_meta.cmo fl_metascanner.cmo fl_topo.cmo fl_package_base.cmo findlib.cmo fl_args.cmo fl_lint.cmo
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c ocaml_args.ml
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c frontend.ml
- File "frontend.ml", line 859, characters 10-39:
- 859 |           Fl_package_base.package_users predicates1 packages1
-                 ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
- Warning 6 [labels-omitted]: label preds was omitted in the application of this function.
- ocamlc -I +compiler-libs  -o ocamlfind -g findlib.cma unix.cma \
-            -I +unix -I +dynlink ocaml_args.cmo frontend.cmo
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -c topfind.mli
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c topfind.ml
- File "topfind.ml", line 126, characters 40-63:
- 126 |                      match Hashtbl.find Toploop.directive_table "ppx" with
-                                               ^^^^^^^^^^^^^^^^^^^^^^^
- Alert deprecated: Toploop.directive_table
- File "topfind.ml", line 256, characters 4-27:
- 256 |     Toploop.directive_table
-           ^^^^^^^^^^^^^^^^^^^^^^^
- Alert deprecated: Toploop.directive_table
- File "topfind.ml", line 266, characters 4-27:
- 266 |     Toploop.directive_table
-           ^^^^^^^^^^^^^^^^^^^^^^^
- Alert deprecated: Toploop.directive_table
- File "topfind.ml", line 278, characters 4-27:
- 278 |     Toploop.directive_table
-           ^^^^^^^^^^^^^^^^^^^^^^^
- Alert deprecated: Toploop.directive_table
- File "topfind.ml", line 291, characters 4-27:
- 291 |     Toploop.directive_table
-           ^^^^^^^^^^^^^^^^^^^^^^^
- Alert deprecated: Toploop.directive_table
- File "topfind.ml", line 305, characters 4-27:
- 305 |     Toploop.directive_table
-           ^^^^^^^^^^^^^^^^^^^^^^^
- Alert deprecated: Toploop.directive_table
- File "topfind.ml", line 317, characters 4-27:
- 317 |     Toploop.directive_table
-           ^^^^^^^^^^^^^^^^^^^^^^^
- Alert deprecated: Toploop.directive_table
- ocamlc -I +compiler-libs -a -o findlib_top.cma topfind.cmo
- USE_CYGPATH="0"; \
- export USE_CYGPATH; \
- cat topfind_rd1.p | \
-          ../../tools/patch '@SITELIB@' '/home/opam/.opam/5.0/lib' \
-     	    >topfind
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -c fl_dynload.mli
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c fl_dynload.ml
- ocamlc -I +compiler-libs -a -o findlib_dynload.cma fl_dynload.cmo
- make[1]: Leaving directory '/home/opam/.opam/5.0/.opam-switch/build/ocamlfind.1.9.5/src/findlib'
- make all-config
- make[1]: Entering directory '/home/opam/.opam/5.0/.opam-switch/build/ocamlfind.1.9.5'
- USE_CYGPATH="0"; \
- export USE_CYGPATH; \
- cat findlib.conf.in | \
-      tools/patch '@SITELIB@' '/home/opam/.opam/5.0/lib' >findlib.conf
- if ./tools/cmd_from_same_dir ocamlc; then \
- 	echo 'ocamlc="ocamlc.opt"' >>findlib.conf; \
- fi
- if ./tools/cmd_from_same_dir ocamlopt; then \
- 	echo 'ocamlopt="ocamlopt.opt"' >>findlib.conf; \
- fi
- if ./tools/cmd_from_same_dir ocamldep; then \
- 	echo 'ocamldep="ocamldep.opt"' >>findlib.conf; \
- fi
- if ./tools/cmd_from_same_dir ocamldoc; then \
- 	echo 'ocamldoc="ocamldoc.opt"' >>findlib.conf; \
- fi
- make[1]: Leaving directory '/home/opam/.opam/5.0/.opam-switch/build/ocamlfind.1.9.5'
Processing 17/39: [dune: ocaml bootstrap.ml] [ocamlfind: make opt]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "make" "opt" (CWD=/home/opam/.opam/5.0/.opam-switch/build/ocamlfind.1.9.5)
- for p in findlib; do ( cd src/$p; make opt ) || exit; done
- make[1]: Entering directory '/home/opam/.opam/5.0/.opam-switch/build/ocamlfind.1.9.5/src/findlib'
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c findlib_config.ml
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c fl_split.ml
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c fl_metatoken.ml
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c fl_meta.ml
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c fl_metascanner.ml
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c fl_topo.ml
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c fl_package_base.ml
- File "fl_package_base.ml", line 304, characters 22-40:
- 304 | 	 let pkg_ancestors = query_requirements predlist pkg in
-       	                     ^^^^^^^^^^^^^^^^^^
- Warning 6 [labels-omitted]: label preds was omitted in the application of this function.
- File "fl_package_base.ml", line 350, characters 18-36:
- 350 |   let ancestors = query_requirements predlist package_name in
-                         ^^^^^^^^^^^^^^^^^^
- Warning 6 [labels-omitted]: label preds was omitted in the application of this function.
- File "fl_package_base.ml", line 375, characters 23-41:
- 375 | 	  let pkg_ancestors = query_requirements predlist pkg in
-       	                      ^^^^^^^^^^^^^^^^^^
- Warning 6 [labels-omitted]: label preds was omitted in the application of this function.
- File "fl_package_base.ml", line 510, characters 16-35:
- 510 | 	     ( let c = package_definitions search_path pkg.package_name in
-       	               ^^^^^^^^^^^^^^^^^^^
- Warning 6 [labels-omitted]: label search_path was omitted in the application of this function.
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c findlib.ml
- File "findlib.ml", line 390, characters 2-26:
- 390 |   Fl_package_base.requires predlist pkg
-         ^^^^^^^^^^^^^^^^^^^^^^^^
- Warning 6 [labels-omitted]: label preds was omitted in the application of this function.
- File "findlib.ml", line 396, characters 2-33:
- 396 |   Fl_package_base.requires_deeply predlist pkglist
-         ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
- Warning 6 [labels-omitted]: label preds was omitted in the application of this function.
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c fl_args.ml
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c fl_lint.ml
- ocamlopt -I +compiler-libs -g -a -o findlib.cmxa findlib_config.cmx fl_split.cmx fl_metatoken.cmx fl_meta.cmx fl_metascanner.cmx fl_topo.cmx fl_package_base.cmx findlib.cmx fl_args.cmx fl_lint.cmx
- if [ 1 -gt 0 ]; then \
-     ocamlopt -I +compiler-libs -g -shared -o findlib.cmxs findlib_config.cmx fl_split.cmx fl_metatoken.cmx fl_meta.cmx fl_metascanner.cmx fl_topo.cmx fl_package_base.cmx findlib.cmx fl_args.cmx fl_lint.cmx; \
- fi
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c ocaml_args.ml
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c frontend.ml
- File "frontend.ml", line 859, characters 10-39:
- 859 |           Fl_package_base.package_users predicates1 packages1
-                 ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
- Warning 6 [labels-omitted]: label preds was omitted in the application of this function.
- ocamlopt -I +compiler-libs -g -o ocamlfind_opt findlib.cmxa unix.cmxa \
- 	   -I +unix -I +dynlink ocaml_args.cmx frontend.cmx
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c topfind.ml
- File "topfind.ml", line 126, characters 40-63:
- 126 |                      match Hashtbl.find Toploop.directive_table "ppx" with
-                                               ^^^^^^^^^^^^^^^^^^^^^^^
- Alert deprecated: Toploop.directive_table
- File "topfind.ml", line 256, characters 4-27:
- 256 |     Toploop.directive_table
-           ^^^^^^^^^^^^^^^^^^^^^^^
- Alert deprecated: Toploop.directive_table
- File "topfind.ml", line 266, characters 4-27:
- 266 |     Toploop.directive_table
-           ^^^^^^^^^^^^^^^^^^^^^^^
- Alert deprecated: Toploop.directive_table
- File "topfind.ml", line 278, characters 4-27:
- 278 |     Toploop.directive_table
-           ^^^^^^^^^^^^^^^^^^^^^^^
- Alert deprecated: Toploop.directive_table
- File "topfind.ml", line 291, characters 4-27:
- 291 |     Toploop.directive_table
-           ^^^^^^^^^^^^^^^^^^^^^^^
- Alert deprecated: Toploop.directive_table
- File "topfind.ml", line 305, characters 4-27:
- 305 |     Toploop.directive_table
-           ^^^^^^^^^^^^^^^^^^^^^^^
- Alert deprecated: Toploop.directive_table
- File "topfind.ml", line 317, characters 4-27:
- 317 |     Toploop.directive_table
-           ^^^^^^^^^^^^^^^^^^^^^^^
- Alert deprecated: Toploop.directive_table
- ocamlopt -I +compiler-libs -g -a -o findlib_top.cmxa topfind.cmx
- if [ 1 -gt 0 ]; then \
-     ocamlopt -I +compiler-libs -g -shared -o findlib_top.cmxs topfind.cmx; \
- fi
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c fl_dynload.ml
- ocamlopt -I +compiler-libs -g -a -o findlib_dynload.cmxa fl_dynload.cmx
- if [ 1 -gt 0 ]; then \
-     ocamlopt -I +compiler-libs -g -shared -o findlib_dynload.cmxs fl_dynload.cmx; \
- fi
- make[1]: Leaving directory '/home/opam/.opam/5.0/.opam-switch/build/ocamlfind.1.9.5/src/findlib'
-> compiled  ocamlfind.1.9.5
Processing 17/39: [dune: ocaml bootstrap.ml]
Processing 18/39: [dune: ocaml bootstrap.ml] [ocamlfind: make install]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "install" "make" "install" (CWD=/home/opam/.opam/5.0/.opam-switch/build/ocamlfind.1.9.5)
- if [ "1" -eq 1 ]; then \
-     for x in camlp4 dbm graphics labltk num ocamlbuild; do \
-       if [ -f "/home/opam/.opam/5.0/lib/$x/META" ]; then \
-         if ! grep -Fq '[distributed with Ocaml]' "//home/opam/.opam/5.0/lib/$x/META"; then \
-           rm -f site-lib-src/$x/META; \
-         fi; \
-       fi; \
-     done; \
-     test -f "site-lib-src/num/META" || rm -f "site-lib-src/num-top/META"; \
-   fi
- echo 'SITELIB_META =' > Makefile.packages.in
- for x in `ls site-lib-src`; do test ! -f "site-lib-src/$x/META" || echo $x >> Makefile.packages.in; done
- tr '\n' ' ' < Makefile.packages.in > Makefile.packages
- rm Makefile.packages.in
- install -d "/home/opam/.opam/5.0/bin"
- install -d "/home/opam/.opam/5.0/man"
- make install-config
- make[1]: Entering directory '/home/opam/.opam/5.0/.opam-switch/build/ocamlfind.1.9.5'
- install -d "`dirname \"/home/opam/.opam/5.0/lib/findlib.conf\"`"
- test -f "/home/opam/.opam/5.0/lib/findlib.conf" || install -c findlib.conf "/home/opam/.opam/5.0/lib/findlib.conf"
- make[1]: Leaving directory '/home/opam/.opam/5.0/.opam-switch/build/ocamlfind.1.9.5'
- for p in findlib; do ( cd src/$p; make install ); done
- make[1]: Entering directory '/home/opam/.opam/5.0/.opam-switch/build/ocamlfind.1.9.5/src/findlib'
- install -d "/home/opam/.opam/5.0/lib/findlib"
- install -d "/home/opam/.opam/5.0/bin"
- install -d "/home/opam/.opam/5.0/lib/ocaml"
- test 1 -eq 0 || install -c topfind "/home/opam/.opam/5.0/lib/ocaml/"
- files=` ../../tools/collect_files ../../Makefile.config \
- findlib.cmi findlib.mli findlib.cma findlib.cmxa findlib.a findlib.cmxs \
- findlib_config.cmi findlib_config.ml topfind.cmi topfind.mli \
- fl_args.cmi fl_lint.cmi fl_meta.cmi fl_split.cmi fl_topo.cmi ocaml_args.cmi \
- fl_package_base.mli fl_package_base.cmi fl_metascanner.mli fl_metascanner.cmi \
- fl_metatoken.cmi findlib_top.cma findlib_top.cmxa findlib_top.a findlib_top.cmxs \
- findlib_dynload.cma findlib_dynload.cmxa findlib_dynload.a findlib_dynload.cmxs fl_dynload.mli fl_dynload.cmi \
- META` && \
- install -c $files "/home/opam/.opam/5.0/lib/findlib/"
- f="ocamlfind"; { test -f ocamlfind_opt && f="ocamlfind_opt"; }; \
- install -c $f "/home/opam/.opam/5.0/bin/ocamlfind"
- # the following "if" block is only needed for 4.00beta2
- if [ 1 -eq 0 -a -f "/home/opam/.opam/5.0/lib/ocaml/compiler-libs/topdirs.cmi" ]; then \
-     cd "/home/opam/.opam/5.0/lib/ocaml/compiler-libs/"; \
-     install -c topdirs.cmi toploop.cmi "/home/opam/.opam/5.0/lib/findlib/"; \
- fi
- make[1]: Leaving directory '/home/opam/.opam/5.0/.opam-switch/build/ocamlfind.1.9.5/src/findlib'
- make install-meta
- make[1]: Entering directory '/home/opam/.opam/5.0/.opam-switch/build/ocamlfind.1.9.5'
- for x in bytes compiler-libs dynlink ocamldoc runtime_events stdlib str threads unix ; do install -d "/home/opam/.opam/5.0/lib/$x"; install -c site-lib-src/$x/META "/home/opam/.opam/5.0/lib/$x/META.tmp" && mv "/home/opam/.opam/5.0/lib/$x/META.tmp" "/home/opam/.opam/5.0/lib/$x/META"; done
- install -d "/home/opam/.opam/5.0/lib/findlib"; install -c Makefile.packages "/home/opam/.opam/5.0/lib/findlib/Makefile.packages"
- make[1]: Leaving directory '/home/opam/.opam/5.0/.opam-switch/build/ocamlfind.1.9.5'
- test ! -f 'site-lib-src/num-top/META' || { cd src/findlib; make install-num-top; }
- test ! -f 'site-lib-src/camlp4/META' ||	install -c tools/safe_camlp4 "/home/opam/.opam/5.0/bin"
- make install-doc
- make[1]: Entering directory '/home/opam/.opam/5.0/.opam-switch/build/ocamlfind.1.9.5'
- install -d "/home/opam/.opam/5.0/man/man1" "/home/opam/.opam/5.0/man/man3" "/home/opam/.opam/5.0/man/man5"
- install -c doc/ref-man/ocamlfind.1 "/home/opam/.opam/5.0/man/man1"
- install -c doc/ref-man/META.5 doc/ref-man/site-lib.5 doc/ref-man/findlib.conf.5 "/home/opam/.opam/5.0/man/man5"
- make[1]: Leaving directory '/home/opam/.opam/5.0/.opam-switch/build/ocamlfind.1.9.5'
-> installed ocamlfind.1.9.5
Processing 18/39: [dune: ocaml bootstrap.ml]
Processing 19/39: [dune: ocaml bootstrap.ml]
-> installed base-bytes.base
Processing 20/39: [dune: ocaml bootstrap.ml]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "ocaml" "bootstrap.ml" "-j" "31" (CWD=/home/opam/.opam/5.0/.opam-switch/build/dune.3.3.0)
- ocamlc -output-complete-exe -w -24 -g -o .duneboot.exe -I boot -I +unix unix.cma boot/libs.ml boot/duneboot.ml
- ./.duneboot.exe -j 31
- cd _boot && /home/opam/.opam/5.0/bin/ocamlopt.opt -c -g -no-alias-deps -w -49-6 -alert -unstable -I +unix -I +threads build_path_prefix_map.ml
- File "vendor/build_path_prefix_map/src/build_path_prefix_map.ml", line 5, characters 17-31:
- Alert deprecated: Stdlib.Printf.kprintf
- Use Printf.ksprintf instead.
- cd _boot && /home/opam/.opam/5.0/bin/ocamlopt.opt -c -g -no-alias-deps -w -49-6 -alert -unstable -I +unix -I +threads opamLexer.ml
- File "vendor/opam-file-format/src/opamLexer.mll", line 21, characters 2-16:
- Alert deprecated: Stdlib.Printf.kprintf
- Use Printf.ksprintf instead.
- 

Processing 20/39: [dune: ./dune.exe build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "./dune.exe" "build" "dune.install" "--release" "--profile" "dune-bootstrap" "-j" "31" (CWD=/home/opam/.opam/5.0/.opam-switch/build/dune.3.3.0)
-> compiled  dune.3.3.0
-> installed dune.3.3.0
Processing 22/39: [csexp: dune build]
Processing 23/39: [csexp: dune build] [menhirLib: dune build]
Processing 24/39: [csexp: dune build] [menhirLib: dune build] [menhirSdk: dune build]
Processing 25/39: [csexp: dune build] [menhirLib: dune build] [menhirSdk: dune build] [res: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "csexp" "-j" "31" "@install" (CWD=/home/opam/.opam/5.0/.opam-switch/build/csexp.1.5.1)
-> compiled  csexp.1.5.1
Processing 25/39: [menhirLib: dune build] [menhirSdk: dune build] [res: dune build]
-> installed csexp.1.5.1
Processing 26/39: [menhirLib: dune build] [menhirSdk: dune build] [res: dune build]
Processing 27/39: [dune-configurator: rm] [menhirLib: dune build] [menhirSdk: dune build] [res: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "menhirSdk" "-j" "31" (CWD=/home/opam/.opam/5.0/.opam-switch/build/menhirSdk.20220210)
-> compiled  menhirSdk.20220210
Processing 27/39: [dune-configurator: rm] [menhirLib: dune build] [res: dune build]
-> installed menhirSdk.20220210
Processing 28/39: [dune-configurator: rm] [menhirLib: dune build] [res: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "res" "-j" "31" (CWD=/home/opam/.opam/5.0/.opam-switch/build/res.5.0.1)
-> compiled  res.5.0.1
Processing 28/39: [dune-configurator: rm] [menhirLib: dune build]
-> installed res.5.0.1
Processing 29/39: [dune-configurator: rm] [menhirLib: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "rm" "-rf" "vendor/csexp" (CWD=/home/opam/.opam/5.0/.opam-switch/build/dune-configurator.3.3.0)
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "rm" "-rf" "vendor/pp" (CWD=/home/opam/.opam/5.0/.opam-switch/build/dune-configurator.3.3.0)
Processing 29/39: [dune-configurator: dune build] [menhirLib: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "menhirLib" "-j" "31" (CWD=/home/opam/.opam/5.0/.opam-switch/build/menhirLib.20220210)
- (cd _build/default/lib/pack && ./pack.exe)
- Creating menhirLib.ml...
- Creating menhirLib.mli...
-> compiled  menhirLib.20220210
Processing 29/39: [dune-configurator: dune build]
-> installed menhirLib.20220210
Processing 30/39: [dune-configurator: dune build]
Processing 31/39: [dune-configurator: dune build] [menhir: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "dune-configurator" "-j" "31" "@install" (CWD=/home/opam/.opam/5.0/.opam-switch/build/dune-configurator.3.3.0)
-> compiled  dune-configurator.3.3.0
Processing 31/39: [menhir: dune build]
-> installed dune-configurator.3.3.0
Processing 32/39: [menhir: dune build]
Processing 33/39: [menhir: dune build] [pcre: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "pcre" "-j" "31" "@install" (CWD=/home/opam/.opam/5.0/.opam-switch/build/pcre.7.5.0)
-> compiled  pcre.7.5.0
Processing 33/39: [menhir: dune build]
-> installed pcre.7.5.0
Processing 34/39: [menhir: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "menhir" "-j" "31" (CWD=/home/opam/.opam/5.0/.opam-switch/build/menhir.20220210)
- (cd _build/default/src/stage2 && .bin/menhir --exn-carries-state --no-pager --require-aliases --strict parser.mly --compare-errors parserMessages.auto.messages --compare-errors parserMessages.messages) > _build/default/src/stage2/parserMessages.check
- Read 101 sample input sentences and 101 error messages.
- Read 101 sample input sentences and 48 error messages.
- (cd _build/default && src/stage2/.bin/menhir --exn-carries-state --no-pager --require-aliases --strict -lg 1 -la 1 -lc 1 -v src/stage2/parser.mly --base src/stage2/parser --infer-read-reply src/stage2/parser__mock.mli.inferred)
- Grammar has 56 nonterminal symbols, among which 1 start symbols.
- Grammar has 37 terminal symbols.
- Grammar has 129 productions.
- Built an LR(0) automaton with 194 states.
- The grammar is not SLR(1) -- 5 states have a conflict.
- The construction mode is no-pager.
- Built an LR(1) automaton with 298 states.
- One shift/reduce conflict was silently solved.
- Extra reductions on error were added in 40 states.
- Priority played a role in 0 of these states.
- 152 out of 298 states have a default reduction.
- 102 out of 298 states are represented.
- 44 out of 96 symbols keep track of their start position.
- 41 out of 96 symbols keep track of their end position.
- 264 specialized copies of 64 functions have been created.
- The StackLang code contains 5161 instructions in 241 blocks.
- The StackLang code comprises 5 mutually recursive groups.
- (cd _build/default/src/stage2 && .bin/menhir --exn-carries-state --no-pager --require-aliases --strict parser.mly --compile-errors parserMessages.messages) > _build/default/src/stage2/parserMessages.ml
- Read 101 sample input sentences and 48 error messages.
-> compiled  menhir.20220210
-> installed menhir.20220210
Processing 36/39: [cfg: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "cfg" "-j" "31" "@install" (CWD=/home/opam/.opam/5.0/.opam-switch/build/cfg.2.3.0)
-> compiled  cfg.2.3.0
-> installed cfg.2.3.0
Processing 38/39: [aifad: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "aifad" "-j" "31" "@install" (CWD=/home/opam/.opam/5.0/.opam-switch/build/aifad.2.3.0)
-> compiled  aifad.2.3.0
-> installed aifad.2.3.0
Done.
# Run eval $(opam env) to update the current shell environment
2022-06-21 00:35.21 ---> saved as "29dafacc66c5b9342a7059fd787c2a7c124c914cd4b9120f2a5d9f4258c169e8"
Job succeeded